#!/bin/sh

# Updates the ff-web-src packet from ff-devel source dir

work=/mnt/sys/Daten/WLAN/ff-mitte/work

excl="$excl --exclude ./cgi-bin.zip"
excl="$excl --exclude ./ifaliases"
excl="$excl --exclude ./ipvergbe.pl"
excl="$excl --exclude ./mtx-iface-verify.awk"
excl="$excl --exclude ./olsrd-clearroutes"
excl="$excl --exclude ./olsrd-verify"
excl="$excl --exclude ./pmacct_0.7.9.bb"
excl="$excl --exclude ./pmacct-sort.pl"
excl="$excl --exclude ./readme.txt"
excl="$excl --exclude ./readwiki.pl"

test -d ff-web-src || mkdir -p ff-web-src
tar $excl -cC $work/nylon-devel .|tar -xvC ff-web-src

cp -uv $work/freifunk/ff.css ff-web-src/
cp -uv $work/freifunk/cgi-bin-dev-zero.bin ff-web-src/
cp -uv $work/freifunk/images/ff-arrow-top.gif ff-web-src/images/
cp -uv $work/freifunk/images/ff-arrow-red.gif ff-web-src/images/
cp -uv $work/freifunk/images/ff-arrow-white.gif ff-web-src/images/
cp -uv $work/freifunk/images/intro.jpg ff-web-src/images/
cp -uv $work/freifunk/images/ff-logo-1l.gif ff-web-src/images/
cp -uv $work/freifunk/images/ff-logo-1m.gif ff-web-src/images/
cp -uv $work/freifunk/images/ff-logo-1r.gif ff-web-src/images/
cp -uv $work/freifunk/images/ff-logo-2.gif ff-web-src/images/
cp -uv $work/freifunk/images/ff-logo-3.gif ff-web-src/images/
cp -uv $work/freifunk/images/no.gif ff-web-src/images/
cp -uv $work/freifunk/images/yes.gif ff-web-src/images/
cp -uv $work/freifunk/images/openwrt.gif ff-web-src/images/
cp -uv $work/freifunk/images/power*.gif ff-web-src/images/
cp -uv $work/freifunk/images/vertbar.gif ff-web-src/images/
cp -uv $work/template.pl ff-web-src/
